Public bug reported:

The current openerp-server.postinst checks for a user starting with
openerp in /etc/passwd before creating the openerp user. However
openerp-web creates an openerp-web user, so the grep -q returns with a
successful match. I have simply added the : delimiter to limit the match
to only match on 'openerp'.

--- /tmp/openerp-server.postinst.orig   2011-07-07 09:04:30.932769728 -0500
+++ openerp-server.postinst     2011-07-07 09:04:17.084769732 -0500
@@ -16,7 +16,7 @@
 
                db_stop
 
-               if ! getent passwd | grep -q "^${_USERNAME}"
+               if ! getent passwd | grep -q "^${_USERNAME}:"
                then
                        adduser --system --no-create-home --quiet --gecos 'Open 
ERP server' --group ${_USERNAME}
                else

** Affects: openerp-server (Ubuntu)
     Importance: Undecided
         Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/807017

Title:
  openerp user not created if install openerp-web before openerpserver

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openerp-server/+bug/807017/+subscriptions

-- 
ubuntu-bugs mailing list
[email protected]
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to